restinio::path2regex Namespace Reference

## Namespaces

namespace | impl

## Classes

class | options_t
| Options for matching routes. More...

## Typedefs

template<typename Route_Param_Appender >
using | param_appender_t = std::function< void(Route_Param_Appender &, string_view_t) >
| Appends sub-match as a request parameter to specified container. More...
template<typename Route_Param_Appender >
using | param_appender_sequence_t = std::vector< param_appender_t< Route_Param_Appender > >
| A sequence of appenders for submatches. More...

## Functions

template<typename Route_Param_Appender >
param_appender_t< Route_Param_Appender > | make_param_setter (string_view_t key)
| Create default appender for named parameter. More...
template<typename Route_Param_Appender >
param_appender_t< Route_Param_Appender > | make_param_setter (std::size_t)
| Create default appender indexed parameter. More...
template<typename Route_Param_Appender , typename Regex_Engine >
auto | path2regex (string_view_t path, const options_t &options)
| The main path matching regexp. More...

## Typedef Documentation

## param_appender_sequence_t

template<typename Route_Param_Appender >

using restinio::path2regex::param_appender_sequence_t = typedef std::vector< param_appender_t< Route_Param_Appender > >

A sequence of appenders for submatches.

Definition at line 272 of file path2regex.hpp.

## param_appender_t

template<typename Route_Param_Appender >

using restinio::path2regex::param_appender_t = typedef std::function< void ( Route_Param_Appender &, string_view_t ) >

Appends sub-match as a request parameter to specified container.

Definition at line 263 of file path2regex.hpp.

## Function Documentation

## make_param_setter() [1/2]

template<typename Route_Param_Appender >

param_appender_t< Route_Param_Appender > restinio::path2regex::make_param_setter | ( | std::size_t |  | ) |

inline

Create default appender indexed parameter.

Definition at line 294 of file path2regex.hpp.

## make_param_setter() [2/2]

template<typename Route_Param_Appender >

param_appender_t< Route_Param_Appender > restinio::path2regex::make_param_setter | ( | string_view_t | key | ) |

inline

Create default appender for named parameter.

Definition at line 281 of file path2regex.hpp.

## path2regex()

template<typename Route_Param_Appender , typename Regex_Engine >

auto restinio::path2regex::path2regex | ( | string_view_t | path,
|  | const options_t & | options
| ) |  |

inline

The main path matching regexp.

Definition at line 863 of file path2regex.hpp.